<?php
/*
Plugin Name: YG-Share
Plugin URI: http://boliquan.com/yg-share/
Description: YG-Share can automatically insert the sharelist at the end of the article.
Version: 1.2.8
Author: BoLiQuan
Author URI: http://boliquan.com/
Text Domain: YG-Share
Domain Path: /lang
*/

function load_yg_lang() {
		$currentLocale = get_locale();
		if(!empty($currentLocale)) {
			$moFile = dirname(__FILE__) . "/lang/yg-share-" . $currentLocale . ".mo";
			if(@file_exists($moFile) && is_readable($moFile)) load_textdomain('YG-Share', $moFile);
		}
}

function yg_share_style(){
if(is_single()){
	echo '<link type="text/css" rel="stylesheet" href="'.get_bloginfo('url').'/wp-content/plugins/yg-share/css/yg-share.css" />' . "\n"; 
	}
}

function yg_share($content) {
if(is_single()){
    $yg_share_text = __('Share to : ', 'YG-Share');
	$yg_share_delicious = __('Delicious', 'YG-Share');
	$yg_share_csdn = __('CSDN', 'YG-Share');
	$yg_share_google = __('Google', 'YG-Share');
	$yg_share_baidu = __('Baidu', 'YG-Share');
	$yg_share_yahoo = __('Yahoo', 'YG-Share');
	$yg_share_qq = __('Tencent', 'YG-Share');
	$yg_share_insert = '<div class="yg-share">' . $yg_share_text . '
	<a rel="external nofollow" href="http://del.icio.us/post?url='.get_permalink().'&title='.get_the_title().'" target="_blank" title="' . $yg_share_text . $yg_share_delicious . '">' . $yg_share_delicious . '</a>
	<a rel="external nofollow" href="http://wz.csdn.net/storeit.aspx?u='.get_permalink().'&t='.get_the_title().'" target="_blank" title="' . $yg_share_text . $yg_share_csdn . '">' . $yg_share_csdn . '</a>
	<a rel="external nofollow" href="http://www.google.com/bookmarks/mark?op=edit&bkmk='.get_permalink().'&title='.get_the_title().'" target="_blank" title="' . $yg_share_text . $yg_share_google . '">' . $yg_share_google . '</a>
	<a rel="external nofollow" href="http://cang.baidu.com/do/add?iu='.get_permalink().'&it='.get_the_title().'" target="_blank" title="' . $yg_share_text . $yg_share_baidu . '">' . $yg_share_baidu . '</a>
	<a rel="external nofollow" href="http://myweb.cn.yahoo.com/popadd.html?title='.get_the_title().'&url='.get_permalink().'" target="_blank" title="' . $yg_share_text . $yg_share_yahoo . '">' . $yg_share_yahoo . '</a>
	<a rel="external nofollow" href="http://shuqian.qq.com/post?from=3&title='.get_the_title().'&uri='.get_permalink().'" target="_blank" title="' . $yg_share_text . $yg_share_qq . '">' . $yg_share_qq . '</a>
	</div>';  

	$yg_share_post = $content;
	$yg_share_post = $yg_share_post . $yg_share_insert;
	return $yg_share_post;
	
}
else {
	return $content;
}
	
}

add_action("wp_head",'yg_share_style');
add_action('the_content','yg_share');
add_filter('init','load_yg_lang');

?>








